<template>
<div class="app">
    <div class="logomenu">
        <router-link :to="{ name:'Home' }" class="logo"><p>Hack<span class="and">&</span>market</p></router-link>
        </div>
    <div id="nav">
        <ul>
            <li>
                <router-link :to="{ name:'Home' }">Home</router-link>
            </li>
            <li>
                <router-link :to="{ name:'About' }">About</router-link>
            </li>
            <li>
                <router-link :to="{ name:'Productos' }">Productos</router-link>
            </li>
            <li>
                <router-link :to="{ name:'Clientes' }">Clientes</router-link>
            </li>
            <li>
                <router-link :to="{ name:'Registrar' }">Registrar</router-link>
            </li>
        </ul>
    </div>
</div>
</template>

<script>
</script>

<style scoped>
.app { 
        display: flex;
        align-items: left;
        justify-content: flex-start;
        flex-wrap: wrap;
}
    ul {
        display: flex;
        align-items: left;
        justify-content: flex-start;
        flex-wrap: wrap;
    }
    li{
        list-style:none;
        text-align: left;
    }
    li::after{ 
        color: var(--bg-bluegrey-light);
        padding-left: var(--spacer10px);
        content: '·';
        padding-right: var(--spacer10px);
        }

    #nav {
        padding:  var(--spacer25px);
        padding-left: 0;
        background-color: var(--bg-white);
    }

    #nav a {
        font-weight: bold;
        color: var(--bg-bluegrey);
        text-decoration: none;
    }
     #nav a:hover {
        font-weight: bold;
        color: var(--bg-bluegrey);
        text-decoration: underline;
    }

    #nav a.router-link-exact-active {
        color: orangered;
    }
    .logomenu{
        font-size: var(--size25px);
        background-color: var(--bg-white);
        padding: 0 var(--spacer25px) 0 var(--spacer25px);
        font-weight: bold;
        display: flex;
        justify-content: center;
        align-content: center;
        flex-direction: column;
        background-color: var(--bg-bluegrey);
        color:  var(--bg-white);
    }
    .logo{
        color:  var(--bg-white)!important;
        text-decoration: none;
    }
    .and {
      /* text-shadow: -1px 0 white, 0 1px white, 1px 0 white, 0 -1px white; */
      -webkit-text-stroke: 1px var(--bg-white);
      color: rgba(0, 0, 0, 0);
    }
    @media only screen and (max-width: 425px){
        
        ul {
            display:block;
        }
    }
</style>